package br.com.uspweb.example;

import br.com.uspweb.example.model.HelloWorldInterface;

/**
 * Spring por referncia
 */
public class SuperHelloWorld
{
    private HelloWorldInterface helloWorld;

    /**
     * O Spring injeta a implementao da interface em Runtime
     */
    public SuperHelloWorld(
        HelloWorldInterface aHelloWorld )
    {
        helloWorld = aHelloWorld;
    }

    /**
     * Note que o mtodo no conhece a implementao de HelloWorld.
     */
    public String printResult()
    {
        return helloWorld.printHelloWorld();
    }
}
