package br.com.uspweb.main;

import br.com.uspweb.example.SuperHelloWorld;

import org.springframework.context.support.ClassPathXmlApplicationContext;

public class Main
{

    public static void main(
        String[] args )
    {
        ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(
            "/spring/spring-example-01.xml" );
        SuperHelloWorld helloWorld = ( (SuperHelloWorld) context.getBean( "super.hello.world" ) );
        System.out.println( helloWorld.printResult() );

        /**
         * Note que o segundo contexto tem um bean com mesmo id do primeiro
         * contexto. 
         */
        ClassPathXmlApplicationContext anotherContext = new ClassPathXmlApplicationContext(
            "/spring/spring-example-02.xml" );
        SuperHelloWorld helloWorld2 = ( (SuperHelloWorld) anotherContext.getBean( "super.hello.world" ) );
        System.out.println( helloWorld2.printResult() );
    }

}
